"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GuildBanAdd = void 0;
const Constants_1 = require("../../utils/Constants");
const Event_1 = require("./Event");
class GuildBanAdd extends Event_1.Event {
    async run(data) {
        const guild = this.getGuild(data.guild_id);
        const user = await this.getUser(data.user.id);
        this.client.emit(Constants_1.Events.GuildBanAdd, guild, user);
    }
}
exports.GuildBanAdd = GuildBanAdd;
