"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GuildMemberAdd = void 0;
const Member_1 = require("../../resources/Member");
const Constants_1 = require("../../utils/Constants");
const Event_1 = require("./Event");
class GuildMemberAdd extends Event_1.Event {
    run(data) {
        const guild = this.getGuild(data.guild_id);
        if (!guild)
            return;
        const member = new Member_1.Member(data, guild);
        guild.members.add(member);
        this.client.emit(Constants_1.Events.GuildMemberAdd, member, guild);
    }
}
exports.GuildMemberAdd = GuildMemberAdd;
