"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GuildScheduledEventUserAdd = void 0;
const Constants_1 = require("../../utils/Constants");
const Event_1 = require("./Event");
class GuildScheduledEventUserAdd extends Event_1.Event {
    async run(data) {
        const guild = this.getGuild(data.guild_id);
        if (!guild)
            return;
        const event = guild.scheduledEvents.get(data.guild_scheduled_event_id);
        const user = await this.getUser(data.user_id);
        this.client.emit(Constants_1.Events.GuildScheduledEventUserAdd, event, user);
    }
}
exports.GuildScheduledEventUserAdd = GuildScheduledEventUserAdd;
