"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StageInstanceDelete = void 0;
const Constants_1 = require("../../utils/Constants");
const Event_1 = require("./Event");
class StageInstanceDelete extends Event_1.Event {
    run(data) {
        const guild = this.getGuild(data.guild_id);
        guild?.stageInstances.delete(data.id);
        this.client.emit(Constants_1.Events.StageInstanceDelete, data);
    }
}
exports.StageInstanceDelete = StageInstanceDelete;
