"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserUpdate = void 0;
const Event_1 = require("./Event");
const index_1 = require("../../utils/index");
const Constants_1 = require("../../utils/Constants");
class UserUpdate extends Event_1.Event {
    run(data) {
        const old = (0, index_1.structuredClone)(data.id === this.client.user?.id
            ? this.client.user
            : this.client.cache.users.get(data.id));
        const updated = this.client.cache.users.add(data);
        this.client.emit(Constants_1.Events.UserUpdate, old, updated);
    }
}
exports.UserUpdate = UserUpdate;
