"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.API = exports.Constants = exports.GatewayStatus = exports.GatewayShardError = exports.GatewayShard = exports.WebServer = void 0;
// Cache
__exportStar(require("./cache/Cache"), exports);
__exportStar(require("./cache/CacheManager"), exports);
// Client
__exportStar(require("./client/Client"), exports);
__exportStar(require("./client/WebSocket"), exports);
var interactions_1 = require("@darkcord/interactions");
Object.defineProperty(exports, "WebServer", { enumerable: true, get: function () { return interactions_1.WebServer; } });
var ws_1 = require("@darkcord/ws");
Object.defineProperty(exports, "GatewayShard", { enumerable: true, get: function () { return ws_1.GatewayShard; } });
Object.defineProperty(exports, "GatewayShardError", { enumerable: true, get: function () { return ws_1.GatewayShardError; } });
Object.defineProperty(exports, "GatewayStatus", { enumerable: true, get: function () { return ws_1.GatewayStatus; } });
// Manager
__exportStar(require("./manager/ChannelDataManager"), exports);
__exportStar(require("./manager/DataManager"), exports);
__exportStar(require("./manager/EmojiDataManager"), exports);
__exportStar(require("./manager/MemberDataManager"), exports);
__exportStar(require("./manager/MessageDataManager"), exports);
__exportStar(require("./manager/RoleDataManager"), exports);
__exportStar(require("./manager/StickerDataManager"), exports);
__exportStar(require("./manager/UserDataManager"), exports);
// Resources
__exportStar(require("./resources/Application"), exports);
__exportStar(require("./resources/AuditLog"), exports);
__exportStar(require("./resources/Base"), exports);
__exportStar(require("./resources/BitField"), exports);
__exportStar(require("./resources/Channel"), exports);
__exportStar(require("./resources/Emoji"), exports);
__exportStar(require("./resources/Guild"), exports);
__exportStar(require("./resources/Integration"), exports);
__exportStar(require("./resources/Interaction"), exports);
__exportStar(require("./resources/Member"), exports);
__exportStar(require("./resources/Message"), exports);
__exportStar(require("./resources/Permission"), exports);
__exportStar(require("./resources/Role"), exports);
__exportStar(require("./resources/Sticker"), exports);
__exportStar(require("./resources/Team"), exports);
__exportStar(require("./resources/User"), exports);
__exportStar(require("./resources/VoiceState"), exports);
__exportStar(require("./resources/Webhook"), exports);
// Typings
__exportStar(require("./types/index"), exports);
// Utils
exports.Constants = __importStar(require("./utils/Constants"));
__exportStar(require("./utils/PluginManager"), exports);
__exportStar(require("./utils/Resolvable"), exports);
__exportStar(require("./utils/index"), exports);
// Discord API Types
exports.API = __importStar(require("discord-api-types/v10"));
__exportStar(require("./gateway/EventSource"), exports);
