"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GuildBanRemove = void 0;
const User_1 = require("../../../resources/User");
const Constants_1 = require("../../../utils/Constants");
const Event_1 = require("./Event");
class GuildBanRemove extends Event_1.Event {
  run(data) {
    const guild = this.getGuild(data.guild_id);
    const user =
      // eslint-disable-next-line @typescript-eslint/no-unnecessary-condition
      this.client.cache.users.get(data.user.id) ??
      new User_1.User({ ...data.user, client: this.client });
    this.client.emit(Constants_1.Events.GuildBanRemove, guild, user);
  }
}
exports.GuildBanRemove = GuildBanRemove;
