"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GuildMemberRemove = void 0;
const Constants_1 = require("../../../utils/Constants");
const Event_1 = require("./Event");
class GuildMemberRemove extends Event_1.Event {
  run(data) {
    const guild = this.getGuild(data.guild_id);
    if (!guild) return;
    const user = this.client.cache.users.add(data.user);
    guild.members.cache.delete(user.id);
    this.client.emit(Constants_1.Events.GuildMemberRemove, user, guild);
  }
}
exports.GuildMemberRemove = GuildMemberRemove;
