"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GuildRoleCreate = void 0;
const Constants_1 = require("../../../utils/Constants");
const Event_1 = require("./Event");
class GuildRoleCreate extends Event_1.Event {
  run(data) {
    const guild = this.getGuild(data.guild_id);
    if (!guild) return;
    const role = guild.roles.add(data.role);
    this.client.emit(Constants_1.Events.GuildRoleCreate, role, guild);
  }
}
exports.GuildRoleCreate = GuildRoleCreate;
