"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GuildRoleDelete = void 0;
const Constants_1 = require("../../../utils/Constants");
const Event_1 = require("./Event");
class GuildRoleDelete extends Event_1.Event {
  run(data) {
    const guild = this.getGuild(data.guild_id);
    if (!guild) return;
    const deleted = guild.roles.cache.get(data.role_id);
    this.client.emit(Constants_1.Events.GuildRoleDelete, deleted, guild);
  }
}
exports.GuildRoleDelete = GuildRoleDelete;
