"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IntegrationCreate = void 0;
const Event_1 = require("./Event");
const Integration_1 = require("../../../resources/Integration");
const Constants_1 = require("../../../utils/Constants");
class IntegrationCreate extends Event_1.Event {
  run(data) {
    const guild = this.getGuild(data.guild_id);
    if (!guild) return;
    const integration = new Integration_1.Integration(data, guild);
    this.client.emit(Constants_1.Events.IntegrationCreate, integration);
  }
}
exports.IntegrationCreate = IntegrationCreate;
