"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BitField = void 0;
class BitField {
  raw;
  flags;
  constructor(raw, flags) {
    this.raw = raw;
    this.flags = flags;
  }
  has(bits) {
    return (bits & this.raw) === bits;
  }
  toArray() {
    return Object.keys(this.flags).filter((bit) => this.has(this.flags[bit]));
  }
}
exports.BitField = BitField;
