import { User } from "../../resources/User";
import { Awaitable } from "../../types/index";
import { APIUser } from "discord-api-types/v10";
import { GatewayShard } from "@darkcord/ws";
import type { Client } from "../../client/Client";
export declare abstract class Event {
    gatewayShard: GatewayShard;
    constructor(gatewayShard: GatewayShard);
    abstract run(data: any): any;
    get client(): Client;
    get shardId(): any;
    getGuild(id: string): import("../../index").Guild | undefined;
    getUser(id: string): Awaitable<User | APIUser>;
}
//# sourceMappingURL=Event.d.ts.map