import { CacheManager } from "../cache/CacheManager";
import { Guild } from "../resources/Guild";
import { APIGuild } from "discord-api-types/v10";
import { DataManager } from "./DataManager";
import { Forged } from "../resources/forge/Forgified";
export interface GuildFetchOptions {
    fetchMembers?: boolean;
}
export declare class GuildDataManager extends DataManager<Guild> {
    manager: CacheManager;
    constructor(manager: CacheManager, limit?: number);
    get(id: string): Guild | undefined;
    forge(id: string): Guild;
    forge(data: Forged<APIGuild>): Guild;
    fetch(id: string, options?: GuildFetchOptions): Promise<Guild>;
}
//# sourceMappingURL=GuildDataManager.d.ts.map