import { CacheManager } from "../cache/CacheManager";
import { Guild } from "../resources/Guild";
import { Member } from "../resources/Member";
import { BaseCacheOptions } from "../types/index";
import { APIGuildMember } from "discord-api-types/v10";
import { DataManager } from "./DataManager";
import { Forged } from "../resources/forge/Forgified";
export declare class MemberDataManager extends DataManager<Member> {
    manager: CacheManager;
    guild: Guild;
    constructor(options: number | BaseCacheOptions, manager: CacheManager, guild: Guild);
    get(id: string): Member | undefined;
    add(member: Member, replace?: boolean): Member;
    forge(data: Forged<APIGuildMember> | string, guild: Guild): Member;
    fetch(id: string): Promise<Member>;
}
//# sourceMappingURL=MemberDataManager.d.ts.map