"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GuildDelete = void 0;
const Event_1 = require("./Event");
const index_1 = require("../../utils/index");
const Constants_1 = require("../../utils/Constants");
class GuildDelete extends Event_1.Event {
    run(data) {
        const deleted = (0, index_1.structuredClone)(this.getGuild(data.id));
        this.client.guilds.cache.delete(data.id);
        this.client.emit(Constants_1.Events.GuildDelete, deleted);
    }
}
exports.GuildDelete = GuildDelete;
