"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StageInstanceCreate = void 0;
const Constants_1 = require("../../utils/Constants");
const Event_1 = require("./Event");
class StageInstanceCreate extends Event_1.Event {
    run(data) {
        const guild = this.getGuild(data.guild_id);
        guild?.stageInstances.set(data.id, data);
        this.client.emit(Constants_1.Events.StageInstanceCreate, data);
    }
}
exports.StageInstanceCreate = StageInstanceCreate;
