"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Event = void 0;
class Event {
  gatewayShard;
  constructor(gatewayShard) {
    this.gatewayShard = gatewayShard;
  }
  get client() {
    return this.gatewayShard.client;
  }
  get shardId() {
    return this.gatewayShard.shardId;
  }
  getGuild(id) {
    return this.client.guilds.cache.get(id);
  }
  getUser(id) {
    // eslint-disable-next-line @typescript-eslint/no-unnecessary-condition
    return this.client.users.cache.get(id) || this.client.users.fetch(id);
  }
}
exports.Event = Event;
