"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InteractionCreate = void 0;
const Event_1 = require("./Event");
const Interaction_1 = require("../../../resources/Interaction");
const Constants_1 = require("../../../utils/Constants");
class InteractionCreate extends Event_1.Event {
  async run(data) {
    const interaction = Interaction_1.Interaction.from({
      ...data,
      client: this.client,
    });
    this.client.emit(Constants_1.Events.InteractionCreate, interaction);
  }
}
exports.InteractionCreate = InteractionCreate;
