"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StageInstanceUpdate = void 0;
const Event_1 = require("./Event");
const index_1 = require("../../../utils/index");
const Constants_1 = require("../../../utils/Constants");
class StageInstanceUpdate extends Event_1.Event {
  run(data) {
    const guild = this.getGuild(data.guild_id);
    const old = (0, index_1.structuredClone)(guild.stageInstances.get(data.id));
    guild.stageInstances.set(data.id, data);
    this.client.emit(Constants_1.Events.StageInstanceUpdate, old, data);
  }
}
exports.StageInstanceUpdate = StageInstanceUpdate;
