"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VoiceServerUpdate = void 0;
const Constants_1 = require("../../../utils/Constants");
const Event_1 = require("./Event");
class VoiceServerUpdate extends Event_1.Event {
  run(data) {
    const host = data.endpoint;
    const guild = this.getGuild(data.guild_id);
    const token = data.token;
    this.client.emit(Constants_1.Events.VoiceServerUpdate, {
      host,
      guild,
      token,
    });
  }
}
exports.VoiceServerUpdate = VoiceServerUpdate;
