import { CacheManager } from "../cache/CacheManager";
import { User } from "../resources/User";
import { BaseCacheOptions } from "../types/index";
import { APIUser } from "discord-api-types/v10";
import { DataManager } from "./DataManager";
export declare class UserDataManager extends DataManager<User> {
    #private;
    manager: CacheManager;
    constructor(options: number | BaseCacheOptions<User>, manager: CacheManager);
    get(id: string): User | undefined;
    forge(id: string): User;
    forge(data: APIUser): User;
    add(user: User | APIUser, replace?: boolean): User;
    fetch(id: string): Promise<User>;
}
//# sourceMappingURL=UserDataManager.d.ts.map