import { Cache } from "../cache/Cache";
import { DataWithClient, GuildDataModel } from "../types/index";
import { APIApplicationCommand, APIAuditLog, APIAuditLogEntry, APIAutoModerationRule, APIGuildScheduledEvent, APIUser } from "discord-api-types/v10";
import { ThreadChannel } from "./Channel";
import { Integration } from "./Integration";
import { User } from "./User";
import { Webhook } from "./Webhook";
export declare class AuditLog {
    applicationCommands: APIApplicationCommand[];
    webhooks: Map<string, Webhook>;
    users: Cache<User | APIUser>;
    auditLogEntries: APIAuditLogEntry[];
    autoModerationRules: APIAutoModerationRule[];
    integrations: Map<string, Integration>;
    threads: Cache<ThreadChannel>;
    guildScheduledEvents: APIGuildScheduledEvent[];
    constructor(data: DataWithClient<GuildDataModel<APIAuditLog>>);
}
//# sourceMappingURL=AuditLog.d.ts.map